1.0

1.0

get /v1/cloudmonitorings/event/v2/events/{eventId}

Description

Show Resource Event

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventId
required
Event ID - Event ID can be viewed using @[ListResourceEvents].
Example :
stringNone
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEventDetailResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/events/{eventId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "durationSecond": 100,
    "endDt": "2021-10-23T23:59:59Z",
    "eventId": "",
    "eventLevel": "FATAL",
    "eventMessage": "",
    "eventPolicyId": 7240,
    "eventPolicySummary": {
        "checkAsg": "",
        "createBy": "",
        "createById": "",
        "eventLevel": "WARNING",
        "eventMessagePrefix": "SCP",
        "eventOccurTimeZone": "GMT+9",
        "eventPolicyId": 7226,
        "eventPolicyStatistics": {
            "eventPolicyStatisticsPeriod": 10,
            "eventPolicyStatisticsType": "MAX"
        },
        "eventThreshold": {
            "metricFunction": "delta",
            "rangeThreshold": {
                "maxComparisonOperator": "LT",
                "maxValue": 90,
                "minComparisonOperator": "GT",
                "minValue": 80
            },
            "singleThreshold": {
                "comparisonOperator": "LT",
                "value": 10
            },
            "thresholdType": "RANGE_VALUE"
        },
        "ftCount": 3,
        "isLogMetric": "N",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "objectName": "cpu0",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 7321,
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id",
        "updateBy": "",
        "updateById": ""
    },
    "eventState": "ACTIVE",
    "metricKey": "system.cpu.system.norm.pct",
    "metricName": "system.cpu.system.norm.pct",
    "metricSummary": {
        "isLogMetric": "N",
        "isObjectExist": "Y",
        "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
        "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
        "metricKey": "system.cpu.system.pct",
        "metricName": "system.cpu.system.pct",
        "metricSetKey": "system.cpu",
        "metricSetName": "CPU",
        "metricType": "NUM",
        "metricUnit": "bytes",
        "productTargetType": "system.core.id 별",
        "productTargetTypeEn": "By system.core.id"
    },
    "objectDisplayName": "CPU0",
    "objectName": "CPU0",
    "objectType": "cluster",
    "objectTypeName": "Cluster",
    "productIpAddress": "192.168.1.2",
    "productName": "VM-002",
    "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
    "productSummary": {
        "agentState": "Running",
        "lbName": "lbName",
        "lbSize": "MEDIUM",
        "productIpAddress": "192.168.1.2",
        "productName": "VM-002",
        "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
        "productSq": 8703,
        "productState": "Running",
        "productSubName": "productSubName",
        "productSubType": "replicaset",
        "productTypeCode": "VM",
        "productTypeName": "Virtual Server",
        "vpcName": "vpcName"
    },
    "productTypeCode": "VM",
    "startDt": "2021-10-23T18:00:00Z"
}